Bug 177185 - port update for lang/qore
Summary: port update for lang/qore
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-21 11:10 UTC by estrabd
Modified: 2013-03-23 07:03 UTC (History)
0 users

See Also:


Attachments
file.diff (336 bytes, patch)
2013-03-21 11:10 UTC, estrabd
no flags Details | Diff
file.diff (917 bytes, patch)
2013-03-21 11:10 UTC, estrabd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description estrabd 2013-03-21 11:10:00 UTC
Update lang/qore from 0.8.6 to 0.8.7

Fix: PORTNAME=  qore
 PORTVERSION=   0.8.7
@@ -18,7 +18,7 @@

 USE_BZIP2= yes
 USE_GMAKE= yes
-USES=  pathfix
+USE_GNOME= gnomehack
 USE_ICONV= yes
 USE_OPENSSL=   yes
 USE_LDCONFIG=  yes
Comment 1 Ruslan Makhmatkhanov freebsd_committer 2013-03-22 18:15:56 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 2 dfilter service freebsd_committer 2013-03-23 06:55:52 UTC
Author: rm
Date: Sat Mar 23 06:55:44 2013
New Revision: 315004
URL: http://svnweb.freebsd.org/changeset/ports/315004

Log:
  - update to 0.8.7
  
  PR:		177185 (based on)
  Submitted by:	Brett Estrade <estrabd@gmail.com> (maintainer)

Modified:
  head/lang/qore/Makefile
  head/lang/qore/distinfo
  head/lang/qore/pkg-plist

Modified: head/lang/qore/Makefile
==============================================================================
--- head/lang/qore/Makefile	Sat Mar 23 06:21:09 2013	(r315003)
+++ head/lang/qore/Makefile	Sat Mar 23 06:55:44 2013	(r315004)
@@ -1,8 +1,7 @@
 # $FreeBSD$
 
 PORTNAME=	qore
-PORTVERSION=	0.8.6.2
-PORTREVISION=	1
+PORTVERSION=	0.8.7
 CATEGORIES=	lang
 MASTER_SITES=	SF/qore/qore/${PORTVERSION}/
 
@@ -18,7 +17,7 @@ BUILD_DEPENDS=	${LOCALBASE}/bin/flex:${P
 
 USE_BZIP2=	yes
 USE_GMAKE=	yes
-USES=	pathfix
+USES=		pathfix
 USE_ICONV=	yes
 USE_OPENSSL=	yes
 USE_LDCONFIG=	yes
@@ -32,10 +31,7 @@ CONFIGURE_ARGS=	--disable-debug --disabl
 LDFLAGS+=	-L${LOCALBASE}/lib
 
 MAN1=		qore.1
-
-# VERSION sub should always be the first three components of
-# PORTVERSION (x.y.z).  Adjust with :R accordingly.
-PLIST_SUB=	VERSION=${PORTVERSION:R}
+PLIST_SUB=	PORTVERSION=${PORTVERSION}
 
 .include <bsd.port.pre.mk>
 

Modified: head/lang/qore/distinfo
==============================================================================
--- head/lang/qore/distinfo	Sat Mar 23 06:21:09 2013	(r315003)
+++ head/lang/qore/distinfo	Sat Mar 23 06:55:44 2013	(r315004)
@@ -1,2 +1,2 @@
-SHA256 (qore-0.8.6.2.tar.bz2) = c4e00ff8d4a2d41cd9e3cc193d4e49649ea0eccb0fb4ed398ca81dee04e77a3f
-SIZE (qore-0.8.6.2.tar.bz2) = 8554218
+SHA256 (qore-0.8.7.tar.bz2) = 314c8c2a9394e8b366c8268183af959349b8d5eca0fcc456108a9efa71786ee7
+SIZE (qore-0.8.7.tar.bz2) = 8128234

Modified: head/lang/qore/pkg-plist
==============================================================================
--- head/lang/qore/pkg-plist	Sat Mar 23 06:21:09 2013	(r315003)
+++ head/lang/qore/pkg-plist	Sat Mar 23 06:55:44 2013	(r315004)
@@ -28,6 +28,7 @@ include/qore/QoreFloatNode.h
 include/qore/QoreFtpClient.h
 include/qore/QoreHTTPClient.h
 include/qore/QoreHashNode.h
+include/qore/QoreQueueHelper.h
 include/qore/QoreLib.h
 include/qore/QoreListNode.h
 include/qore/QoreNamespace.h
@@ -74,15 +75,15 @@ include/qore/safe_dslist
 include/qore/support.h
 lib/libqore.la
 lib/libqore.so
-lib/libqore.so.14
-lib/qore-modules/%%VERSION%%/CsvUtil.qm
-lib/qore-modules/%%VERSION%%/HttpServer.qm
-lib/qore-modules/%%VERSION%%/MailMessage.qm
-lib/qore-modules/%%VERSION%%/Mime.qm
-lib/qore-modules/%%VERSION%%/Pop3Client.qm
-lib/qore-modules/%%VERSION%%/SmtpClient.qm
-lib/qore-modules/%%VERSION%%/TelnetClient.qm
+lib/libqore.so.15
+lib/qore-modules/%%PORTVERSION%%/HttpServer.qm
+lib/qore-modules/%%PORTVERSION%%/SmtpClient.qm
+lib/qore-modules/%%PORTVERSION%%/Mime.qm
+lib/qore-modules/%%PORTVERSION%%/TelnetClient.qm
+lib/qore-modules/%%PORTVERSION%%/MailMessage.qm
+lib/qore-modules/%%PORTVERSION%%/Pop3Client.qm
+lib/qore-modules/%%PORTVERSION%%/CsvUtil.qm
 libdata/pkgconfig/qore.pc
-@dirrm lib/qore-modules/%%VERSION%%
-@dirrmtry lib/qore-modules
 @dirrm include/qore
+@dirrm lib/qore-modules/%%PORTVERSION%%
+@dirrm lib/qore-modules
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Ruslan Makhmatkhanov freebsd_committer 2013-03-23 07:03:48 UTC
State Changed
From-To: open->closed

Committed with changes, thanks.